<!--
  ~ Copyright (C) 2017 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<idea-plugin>
  <extensions defaultExtensionNs="com.intellij">
    <fileType name="SQLite" implementationClass="com.android.tools.idea.sqlite.fileType.SqliteFileType"/>
    <fileTypeDetector implementation="com.android.tools.idea.sqlite.fileType.SqliteFileTypeDetector" />
    <applicationService serviceImplementation="com.android.tools.idea.sqlite.ui.DatabaseInspectorViewsFactoryImpl"/>
    <elementDescriptionProvider implementation="com.android.tools.idea.sqlite.sqlLanguage.AndroidSqlFakePsiElementDescriptionProvider"/>

    <annotator language="JAVA" implementationClass="com.android.tools.idea.sqlite.annotator.RunSqliteStatementAnnotator"/>
    <annotator language="kotlin" implementationClass="com.android.tools.idea.sqlite.annotator.RunSqliteStatementAnnotator"/>

    <projectService
        serviceInterface="com.android.tools.idea.sqlite.DatabaseInspectorProjectService"
        serviceImplementation="com.android.tools.idea.sqlite.DatabaseInspectorProjectServiceImpl" />

    <projectService
        serviceInterface="com.android.tools.idea.sqlite.DatabaseInspectorAnalyticsTracker"
        serviceImplementation="com.android.tools.idea.sqlite.DatabaseInspectorAnalyticsTrackerImpl" />
    <notificationGroup id="Sqlite Viewer" displayType="BALLOON"/>

    <applicationConfigurable groupId="tools" id="database.inspector"
                             provider="com.android.tools.idea.sqlite.settings.DatabaseInspectorConfigurableProvider"/>

    <applicationService serviceImplementation="com.android.tools.idea.sqlite.settings.DatabaseInspectorSettings"/>
  </extensions>

  <extensions defaultExtensionNs="com.android.tools.idea.lang">
    <androidSql.contextProvider implementation="com.android.tools.idea.sqlite.sqlLanguage.SqliteSchemaContext$Provider" />
  </extensions>

  <extensions defaultExtensionNs="com.android.tools.idea.appinspection">
    <inspector.ide.appInspectorTabProvider implementation="com.android.tools.idea.sqlite.DatabaseInspectorTabProvider" />
  </extensions>
</idea-plugin>
